pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/45729: Build fix and minor improvements for security/p0f


On 21/12/2011 15:30, Thomas Klausner wrote:
>  On Wed, Dec 21, 2011 at 01:10:02PM +0000, Pierre Pronchery wrote:
>  > The patch-aa patch for security/p0f adds a dependency on the ".WAIT"
>  > rule to the build, which breaks on my system (NetBSD/amd64 5.1 with
>  > pkgsrc-2011Q3). Removing this dependency fixes the build for me.
>  Well, it only breaks if you build the package using gmake.
>  BSD make knows about .WAIT.
>  Why did you build it using gmake?

actually, I did not. But the actual problem is there indeed: p0f
auto-detects if gmake is available in Build, trying to run it without
arguments. Then it defaults to using gmake if it is available.

I guess we have at least two options then:
- patching Build to disable this check,
- apply my patch, with which gmake can still build the project.

>  > Finally, the file doc/COPYING within p0f 2.0.8 contains the text for the
>  > GNU LGPL version 2.1 license, which I have also added to the Makefile.
>  I've done that, thanks.

Thank you,

Home | Main Index | Thread Index | Old Index